set pagesize 0
set linesize 100
set heading off
set feedback off
set underline off
set define off
spool /u02/RAP/rauser/BIV/extracted/1_ERRORED_BILL/BILL.txt

  SELECT 
    TO_CHAR(bi.ACCOUNT_NO) || ';' ||
    TO_CHAR(bi.BILL_REF_NO) || ';' ||
    TO_CHAR(bi.BILL_REF_RESETS) || ';' ||
    ';' || 
    ';' ||
    TO_CHAR(bi.FROM_DATE,'DD/MM/YYYY') || ';' ||
    TO_CHAR(bi.TO_DATE,'DD/MM/YYYY') || ';' ||
    TO_CHAR(bi.PREP_DATE,'DD/MM/YYYY') || ';' ||
    TO_CHAR(bi.STATEMENT_DATE,'DD/MM/YYYY') || ';' ||
    bi.BILL_PERIOD || ';' ||
    TO_CHAR(bi.PREP_STATUS) || ';' ||
    TO_CHAR(bi.PREP_ERROR_CODE) || ';' ||
    TO_CHAR(bi.FORMAT_ERROR_CODE) || ';' ||
    TO_CHAR(bi.BACKOUT_STATUS) || ';' ||
    TO_CHAR(c.ACCOUNT_CATEGORY) || ';' || 
    ac.DISPLAY_VALUE
  FROM BILL_INVOICE bi, CMF c, ACCOUNT_CATEGORY_VALUES ac
  WHERE bi.ACCOUNT_NO = c.ACCOUNT_NO
  AND c.ACCOUNT_CATEGORY=ac.ACCOUNT_CATEGORY
  AND bi.PREP_STATUS=0
  AND bi.PREP_ERROR_CODE>=1 
  AND ac.LANGUAGE_CODE=1
  AND bi.STATEMENT_DATE>= ADD_MONTHS(trunc(sysdate, 'MM'), -12);

spool off
exit;
